/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Interface for a generic matrix
 */
public interface Matrix
{
    /**
     * Returns the number of rows 
     * 
     * @return The number of rows 
     */
    int getNumRows();

    /**
     * Returns the number of columns 
     * 
     * @return The number of columns 
     */
    int getNumCols();
}
